## foundry 0.0.20090514

=== tree/Makefile ===
CXX = g++
LEX = flex
YACC = bison

CXXFLAGS ?= -g -Wall -W -Werror
LDFLAGS ?= -g -Wall -W -Werror

CXXSOURCES = $(wildcard *.cpp)
LEXSOURCES = $(wildcard *.ll)
YACCSOURCES = $(wildcard *.yy)
TREESOURCES = $(wildcard *.ftree)

OBJECTS = $(CXXSOURCES:%.cpp=%.o) $(LEXSOURCES:%.ll=%_lex.o) $(YACCSOURCES:%.yy=%_parse.o) $(YACCSOURCES:%.yy=%_tree.o)
DEPFILES = $(addprefix stage1/,$(OBJECTS:%.o=.%.d)) $(addprefix stage2/,$(OBJECTS:%.o=.%.d))

all: foundry-tree \
    update-tree_tree.hpp update-tree_tree.cpp \
    update-tree_bison_tree.hpp update-tree_bison_tree.cpp \
    update-tree_cst_tree.hpp update-tree_cst_tree.cpp

foundry-tree: $(addprefix stage2/,$(OBJECTS))
	$(CXX) $(LDFLAGS) -o $@ $^

stage1/foundry-tree: $(addprefix stage1/,$(OBJECTS))
	$(CXX) $(LDFLAGS) -o $@ $^

stage2/%_tree.hpp: %.ftree stage1/foundry-tree
	stage1/foundry-tree -o $@ $<

stage2/%_tree.cpp: %.ftree stage1/foundry-tree
	stage1/foundry-tree -c -o $@ $<

stage2/%_tree.hpp: %.yy stage1/foundry-tree
	stage1/foundry-tree -n foundry -n $(subst _, -n ,$*) -o $@ $<

stage2/%_tree.cpp: %.yy stage1/foundry-tree
	stage1/foundry-tree -n foundry -n $(subst _, -n ,$*) -c -o $@ $<

update-%: % update/% stage2/%
	cmp $(wordlist 1,2,$^) || (cmp $(wordlist 2,3,$^) && mv update/$< $<)

update/%_tree.hpp: %.ftree foundry-tree
	@mkdir -p update
	./foundry-tree -o $@ $<

update/%_tree.cpp: %.ftree foundry-tree
	@mkdir -p update
	./foundry-tree -c -o $@ $<

update/%_tree.hpp: %.yy foundry-tree
	@mkdir -p update
	./foundry-tree -n foundry -n $(subst _, -n ,$*) -o $@ $<

update/%_tree.cpp: %.yy foundry-tree
	@mkdir -p update
	./foundry-tree -n foundry -n $(subst _, -n ,$*) -c -o $@ $<

%_lex.cpp: %.ll
	$(LEX) -o $@ $<

%_parse.cpp: %.yy
	$(YACC) -o $@ $<

%_lex.hpp: %_lex.cpp
	@

%_parse.hpp: %_parse.cpp
	@

stage1/%.o: %.cpp $(YACCSOURCES:%.yy=%_parse.hpp) $(YACCSOURCES:%.yy=%_tree.hpp) $(LEXSOURCES:%.ll=%_lex.hpp) $(TREESOURCES:%.ftree=%_tree.hpp)
	$(CXX) $(CXXFLAGS) -I. -o $@ -MD -MF stage1/.$*.d -c $<

stage2/%.o: %.cpp $(YACCSOURCES:%.yy=%_parse.hpp) $(addprefix stage2/,$(YACCSOURCES:%.yy=%_tree.hpp)) $(LEXSOURCES:%.ll=%_lex.hpp) $(addprefix stage2/,$(TREESOURCES:%.ftree=%_tree.hpp))
	$(CXX) $(CXXFLAGS) -Istage2 -I. -o $@ -MD -MF stage2/.$*.d -c $<

stage2/tree_tree.o: stage2/tree_tree.cpp stage2/tree_tree.hpp
	$(CXX) $(CXXFLAGS) -Istage2 -I. -o $@ -MD -MF stage2/.$*.d -c $<

stage2/tree_bison_tree.o: stage2/tree_bison_tree.cpp stage2/tree_bison_tree.hpp
	$(CXX) $(CXXFLAGS) -Istage2 -I. -o $@ -MD -MF stage2/.$*.d -c $<

stage2/tree_cst_tree.o: stage2/tree_cst_tree.cpp stage2/tree_cst_tree.hpp
	$(CXX) $(CXXFLAGS) -Istage2 -I. -o $@ -MD -MF stage2/.$*.d -c $<

stage1/tree_bison_lex.o stage2/tree_bison_lex.o: CXXFLAGS+=-Wno-unused
stage1/tree_cst_lex.o stage2/tree_cst_lex.o: CXXFLAGS+=-Wno-unused

.%.d:
	@mkdir -p $(@D)
	touch $@

clean:
	$(RM) foundry-tree
	$(RM) -r update stage2 stage1

sinclude $(DEPFILES)

.SUFFIXES:
.DELETE_ON_ERROR:

## foundry 0.0.20100226

=== Makefile ===
CXX = g++
LEX = flex
YACC = bison

CXXFLAGS ?= -g -Wall -W -Werror
LDFLAGS ?= -g -Wall -W -Werror

CXXSOURCES = $(wildcard *.cpp)
LEXSOURCES = $(wildcard *.ll)
YACCSOURCES = $(wildcard *.yy)
TREESOURCES = $(wildcard *.ftree)

OBJECTS = $(CXXSOURCES:%.cpp=%.o) $(LEXSOURCES:%.ll=%_lex.o) $(YACCSOURCES:%.yy=%_parse.o) $(YACCSOURCES:%.yy=%_tree.o)
DEPFILES = $(addprefix stage1/,$(OBJECTS:%.o=.%.d)) $(addprefix stage2/,$(OBJECTS:%.o=.%.d))

all: foundry-tree \
    tree_tree.hpp-stamp tree_tree.cpp-stamp \
    tree_bison_tree.hpp-stamp tree_bison_tree.cpp-stamp \
    tree_cst_tree.hpp-stamp tree_cst_tree.cpp-stamp

foundry-tree: $(addprefix stage2/,$(OBJECTS))
	$(CXX) $(LDFLAGS) -o $@ $^

stage1/foundry-tree: $(addprefix stage1/,$(OBJECTS))
	$(CXX) $(LDFLAGS) -o $@ $^

stage2/%_tree.hpp: %.ftree stage1/foundry-tree
	stage1/foundry-tree -o $@ $<

stage2/%_tree.cpp: %.ftree stage1/foundry-tree
	stage1/foundry-tree -c -o $@ $<

stage2/%_tree.hpp: %.yy stage1/foundry-tree
	stage1/foundry-tree -n foundry -n $(subst _, -n ,$*) -o $@ $<

stage2/%_tree.cpp: %.yy stage1/foundry-tree
	stage1/foundry-tree -n foundry -n $(subst _, -n ,$*) -c -o $@ $<

%-stamp: % update/% stage2/%
	cmp $(wordlist 1,2,$^) || (cmp $(wordlist 2,3,$^) && mv update/$< $<)
	touch $@

update/%_tree.hpp: %.ftree foundry-tree
	@mkdir -p update
	./foundry-tree -o $@ $<

update/%_tree.cpp: %.ftree foundry-tree
	@mkdir -p update
	./foundry-tree -c -o $@ $<

update/%_tree.hpp: %.yy foundry-tree
	@mkdir -p update
	./foundry-tree -n foundry -n $(subst _, -n ,$*) -o $@ $<

update/%_tree.cpp: %.yy foundry-tree
	@mkdir -p update
	./foundry-tree -n foundry -n $(subst _, -n ,$*) -c -o $@ $<

%_lex.cpp: %.ll
	$(LEX) -o $@ $<

%_parse.cpp: %.yy
	$(YACC) -o $@ $<

%_lex.hpp: %_lex.cpp
	@

%_parse.hpp: %_parse.cpp
	@

STAGE1_BUILT_HEADERS = $(YACCSOURCES:%.yy=%_parse.hpp) $(YACCSOURCES:%.yy=%_tree.hpp) $(LEXSOURCES:%.ll=%_lex.hpp) $(TREESOURCES:%.ftree=%_tree.hpp)

STAGE2_BUILT_HEADERS = $(YACCSOURCES:%.yy=%_parse.hpp) $(addprefix stage2/,$(YACCSOURCES:%.yy=%_tree.hpp)) $(LEXSOURCES:%.ll=%_lex.hpp) $(addprefix stage2/,$(TREESOURCES:%.ftree=%_tree.hpp))

stage1/%.o: %.cpp
	$(CXX) $(CXXFLAGS) -I. -o $@ -MD -MF stage1/.$*.d -c $<

stage2/%.o: %.cpp
	$(CXX) $(CXXFLAGS) -Istage2 -I. -o $@ -MD -MF stage2/.$*.d -c $<

stage2/tree_tree.o: stage2/tree_tree.cpp
	$(CXX) $(CXXFLAGS) -Istage2 -I. -o $@ -MD -MF stage2/.$*.d -c $<

stage2/tree_bison_tree.o: stage2/tree_bison_tree.cpp
	$(CXX) $(CXXFLAGS) -Istage2 -I. -o $@ -MD -MF stage2/.$*.d -c $<

stage2/tree_cst_tree.o: stage2/tree_cst_tree.cpp
	$(CXX) $(CXXFLAGS) -Istage2 -I. -o $@ -MD -MF stage2/.$*.d -c $<

stage1/tree_bison_lex.o stage2/tree_bison_lex.o: CXXFLAGS+=-Wno-unused
stage1/tree_cst_lex.o stage2/tree_cst_lex.o: CXXFLAGS+=-Wno-unused

stage1/.%.d:
	@mkdir -p $(@D)
	@echo >$@ "stage1/$*.o: $(STAGE1_BUILT_HEADERS)"

stage2/.%.d:
	@mkdir -p $(@D)
	@echo >$@ "stage2/$*.o: $(STAGE2_BUILT_HEADERS)"

clean:
	$(RM) *-stamp
	$(RM) foundry-tree
	$(RM) -r update stage2 stage1

sinclude $(DEPFILES)

.SUFFIXES:
.DELETE_ON_ERROR:

=== debian/changelog ===
foundry (0.0.20100226-1) unstable; urgency=low

  * New upstream release

 -- Simon Richter <sjr@debian.org>  Fri, 26 Feb 2010 14:47:11 +0100

foundry (0.0.20100221-1) unstable; urgency=low

  * New upstream release
  * Switch to 3.0 (quilt) format
  * Kill xcontrol file

 -- Simon Richter <sjr@debian.org>  Sun, 21 Feb 2010 00:24:34 +0100

foundry (0.0.20090514-3) unstable; urgency=low

  * Update Boost build dependencies
  * Add support for parallel builds

 -- Simon Richter <sjr@debian.org>  Thu, 27 Aug 2009 16:46:45 +0200

foundry (0.0.20090514-2) unstable; urgency=low

  * Remove bashism in debian/rules (Closes: #535381)
  * Bump Standards-Version

 -- Simon Richter <sjr@debian.org>  Thu, 02 Jul 2009 10:18:12 +0200

foundry (0.0.20090514-1) unstable; urgency=low

  * New upstream release

 -- Simon Richter <sjr@debian.org>  Thu, 14 May 2009 17:28:27 +0200

foundry (0.0.20090513-1) unstable; urgency=low

  * New upstream release
  * Move to unstable in anticipation of dependency from debian-xcontrol

 -- Simon Richter <sjr@debian.org>  Wed, 13 May 2009 12:48:35 +0200

foundry (0.0.20090508.1751-1) experimental; urgency=low

  * New upstream release

 -- Simon Richter <sjr@debian.org>  Fri, 08 May 2009 17:52:08 +0200

foundry (0.0.20090508-1) experimental; urgency=low

  * New upstream release

 -- Simon Richter <sjr@debian.org>  Fri, 08 May 2009 16:06:26 +0200

foundry (0.0.20090507-1) experimental; urgency=low

  * New upstream release

 -- Simon Richter <sjr@debian.org>  Thu, 07 May 2009 10:17:03 +0200

foundry (0.0.20090506-1) experimental; urgency=low

  * New upstream release

 -- Simon Richter <sjr@debian.org>  Wed, 06 May 2009 10:36:57 +0200

foundry (0.0.20090505-1) experimental; urgency=low

  * Initial release

 -- Simon Richter <sjr@debian.org>  Tue, 05 May 2009 21:31:15 +0200

=== debian/control ===
Source: foundry
Section: devel
Priority: extra
Maintainer: Simon Richter <sjr@debian.org>
Build-Depends: libboost-dev, debhelper (>= 7), flex, bison
Standards-Version: 3.8.2

Package: foundry
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Code generation tools
 This is (the start of) a collection of code generators for various common
 tasks in software development.
 .
 Contains:
  * an AST/CST class generator (with a heavy bias towards C++ and Boost)

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
$(error Cross compilation not supported)
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
parallel = -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

CXXFLAGS += -W -Wall -Werror
LDFLAGS += -W -Wall -Werror

build-indep:

build-arch:
	dh_testdir
	$(MAKE) $(parallel)

build: build-arch build-indep

clean: 
	dh_testdir
	dh_testroot
	$(MAKE) clean
	$(RM) tree/tree_cst_lex.[ch]pp tree/tree_cst_parse.[ch]pp \
          tree/tree_bison_lex.[ch]pp tree/tree_bison_parse.[ch]pp
	dh_clean 

binary-indep:

binary-arch: build-arch
	dh_testdir
	dh_testroot
	dh_prep  
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build-indep build-arch build clean binary-indep binary-arch binary

## foundry 0.0.20130703

=== Makefile ===
CXX ?= g++
CPPFLAGS ?=
CXXFLAGS ?= -W -Wall -Werror -g
LDFLAGS ?= -W -Wall -Werror -g

CXXFLAGS += -std=c++0x

MKDIR ?= mkdir -p

CXXSOURCES = $(wildcard *.cpp)
YACCSOURCES = $(wildcard *.yy)
LEXSOURCES = $(wildcard *.ll)
TREESOURCES = $(wildcard *.ftree)

BUILT_SOURCES = $(YACCSOURCES:%.yy=%_parse.cpp) $(YACCSOURCES:%.yy=%_cst.cpp) $(LEXSOURCES:%.ll=%_lex.cpp) $(TREESOURCES:%.ftree=%_tree.cpp)
BUILT_HEADERS = $(YACCSOURCES:%.yy=%_parse.hpp) $(YACCSOURCES:%.yy=%_cst.hpp) $(LEXSOURCES:%.ll=%_lex.hpp) $(TREESOURCES:%.ftree=%_tree.hpp)

OBJECTS = $(CXXSOURCES:%.cpp=%.o) $(BUILT_SOURCES:%.cpp=%.o)

all: foundry-parse

foundry-parse: $(addprefix stage2/,$(OBJECTS))
	$(CXX) $(LDFLAGS) -o $@ $^

check: parse.yy.update parse.ll.update

update: parse.yy.update parse.ll.update
	cmp -s parse.ll.update parse.ll || cp parse.ll.update parse.ll
	cmp -s parse.yy.update parse.yy || cp parse.yy.update parse.yy

parse.ll.update: parse.fparse foundry-parse stage2/parse.ll
	./foundry-parse -l $< -o $@
	cmp -s stage2/parse.ll $@

parse.yy.update: parse.fparse foundry-parse stage2/parse.yy
	./foundry-parse -y $< -o $@
	cmp -s stage2/parse.yy $@

clean:
	$(RM) foundry-parse
	$(RM) -r stage1
	$(RM) -r stage2
	$(RM) *.update

stage1/foundry-parse: $(addprefix stage1/,$(OBJECTS))
	$(CXX) $(LDFLAGS) -o $@ $^

stage1/%_cst.cpp: %.yy ../tree/foundry-tree
	../tree/foundry-tree -n foundry -n parse -n cst -o $@ -c $<

stage1/%_cst.hpp: %.yy ../tree/foundry-tree
	../tree/foundry-tree -n foundry -n parse -n cst -o $@ $<

stage1/%_lex.cpp: %.ll
	cd stage1 && flex -o $(notdir $@) --header-file=$(basename $(notdir $@)).hpp ../$(notdir $<)

stage1/%_lex.hpp: stage1/%_lex.cpp
	test -f $@ || ($(RM) $< && $(MAKE) $<)
	touch $@

stage1/%_parse.cpp: %.yy
	bison -d $< -o $@

stage1/%_parse.hpp: stage1/%_parse.cpp
	test -f $@ || ($(RM) $< && $(MAKE) $<)
	touch $@

stage1/%_tree.hpp: %.ftree ../tree/foundry-tree
	../tree/foundry-tree -o $@ $<

stage1/%_tree.cpp: %.ftree ../tree/foundry-tree
	../tree/foundry-tree -o $@ -c $<

stage1/%.o: %.cpp
	@$(MKDIR) stage1
	$(CXX) $(CPPFLAGS) -Istage1 -I. $(CXXFLAGS) -MD -MF stage1/.$*.d -o $@ -c $<

stage1/%.o: stage1/%.cpp
	$(CXX) $(CPPFLAGS) -Istage1 -I. $(CXXFLAGS) -MD -MF stage1/.$*.d -o $@ -c $<

stage1/%_lex.o: CXXFLAGS+=-Wno-unused

stage2/%.ll: %.fparse stage1/foundry-parse
	stage1/foundry-parse -o $@ -l $<

stage2/%.yy: %.fparse stage1/foundry-parse
	stage1/foundry-parse -o $@ -y $<

stage2/%_cst.cpp: stage2/%.yy ../tree/foundry-tree
	../tree/foundry-tree -n foundry -n parse -n cst -o $@ -c $<

stage2/%_cst.hpp: stage2/%.yy ../tree/foundry-tree
	../tree/foundry-tree -n foundry -n parse -n cst -o $@ $<

stage2/%_lex.cpp: stage2/%.ll
	cd stage2 && flex -o $(notdir $@) --header-file=$(basename $(notdir $@)).hpp $(notdir $<)

stage2/%_lex.hpp: stage2/%_lex.cpp
	test -f $@ || ($(RM) $< && $(MAKE) $<)
	touch $@

stage2/%_parse.cpp: stage2/%.yy
	bison -d $< -o $@

stage2/%_parse.hpp: stage2/%_parse.cpp
	test -f $@ || ($(RM) $< && $(MAKE) $<)
	touch $@

stage2/%_tree.cpp: %.ftree ../tree/foundry-tree
	../tree/foundry-tree -o $@ -c $<

stage2/%_tree.hpp: %.ftree ../tree/foundry-tree
	../tree/foundry-tree -o $@ $<

stage2/%.o: %.cpp
	@$(MKDIR) stage2
	$(CXX) $(CPPFLAGE) -Istage2 -I. $(CXXFLAGS) -MD -MF stage2/.$*.d -o $@ -c $<

stage2/%.o: stage2/%.cpp
	$(CXX) $(CPPFLAGS) -Istage2 -I. $(CXXFLAGS) -MD -MF stage2/.$*.d -o $@ -c $<

stage2/%_lex.o: CXXFLAGS+=-Wno-unused

DEPENDS = $(OBJECTS:%.o=.%.d)

stage1/.%.d:
	@mkdir -p stage1
	echo >$@ stage1/$*.o: $(addprefix stage1/,$(BUILT_HEADERS))

stage2/.%.d:
	@mkdir -p stage2
	echo >$@ stage2/$*.o: $(addprefix stage2/,$(BUILT_HEADERS))

sinclude $(addprefix stage1/,$(DEPENDS)) $(addprefix stage2/,$(DEPENDS))

=== debian/changelog ===
foundry (0.0.20130703-3) unstable; urgency=low

  * Update gcc 4.8 workaround

 -- Simon Richter <sjr@debian.org>  Wed, 03 Jul 2013 15:11:08 +0200

foundry (0.0.20130703-2) unstable; urgency=low

  * Work around #714851.

 -- Simon Richter <sjr@debian.org>  Wed, 03 Jul 2013 14:44:05 +0200

foundry (0.0.20130703-1) unstable; urgency=low

  * New upstream release

 -- Simon Richter <sjr@debian.org>  Wed, 03 Jul 2013 12:10:58 +0200

foundry (0.0.20130624-1) unstable; urgency=low

  * New upstream release

 -- Simon Richter <sjr@debian.org>  Mon, 24 Jun 2013 14:05:31 +0200

foundry (0.0.20100226-3) unstable; urgency=low

  * Fix build with gcc 4.8 (Closes: #701279)
  * Bump Standards-Version
  * Use debhelper 9
  * Fix lintian warnings

 -- Simon Richter <sjr@debian.org>  Fri, 14 Jun 2013 21:45:26 +0200

foundry (0.0.20100226-2) unstable; urgency=low

  * Fix build against bison 2.7 (Closes: #710652)

 -- Simon Richter <sjr@debian.org>  Sat, 01 Jun 2013 13:39:46 +0200

=== debian/rules ===
#!/usr/bin/make -f

ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
$(error Cross compilation not supported)
endif

%:
	dh $@ --parallel

override_dh_auto_build:
	dh_auto_build -- CXXFLAGS+='-W -Wall -Werror'

## foundry 0.0.20130809

=== Makefile ===
CXX ?= g++
LEX ?= flex
YACC ?= bison
INSTALL ?= install

CPPFLAGS ?=
CXXFLAGS ?= -W -Wall -Werror -g
LDFLAGS ?= -W -Wall -Werror -g

CXXFLAGS += -std=c++0x

MKDIR ?= mkdir -p

CXXSOURCES = $(wildcard *.cpp)
LEXSOURCES = $(wildcard *.ll)
YACCSOURCES = $(wildcard *.yy) $(PARSESOURCES:%.fparse=%.yy)
TREESOURCES = $(wildcard *.ftree)
PARSESOURCES = $(wildcard *.fparse)

BOOTSTRAP_SOURCES = $(YACCSOURCES:%.yy=%_cst.cpp) $(TREESOURCES:%.ftree=%_tree.cpp)
BOOTSTRAP_HEADERS = $(YACCSOURCES:%.yy=%_cst.hpp) $(TREESOURCES:%.ftree=%_tree.hpp)
BOOTSTRAP_MISC = $(PARSESOURCES:%.fparse=%.ll) $(PARSESOURCES:%.fparse=%.yy)

BOOTSTRAP = $(BOOTSTRAP_SOURCES) $(BOOTSTRAP_HEADERS) $(BOOTSTRAP_MISC)

BUILT_SOURCES = $(YACCSOURCES:%.yy=%_parse.cpp) $(LEXSOURCES:%.ll=%_lex.cpp)
BUILT_HEADERS = $(YACCSOURCES:%.yy=%_parse.hpp) $(LEXSOURCES:%.ll=%_lex.hpp)
BUILT_MISC = $(PARSESOURCES:%.fparse=%.ll) $(PARSESOURCES:%.fparse=%.yy)

STAGE1_BUILT_HEADERS = $(addprefix stage1/,$(YACCSOURCES:%.yy=%_parse.hpp) $(LEXSOURCES:%.ll=%_lex.hpp))
STAGE2_BUILT_HEADERS = $(addprefix stage2/,$(BUILT_HEADERS))

OBJECTS = $(sort $(CXXSOURCES:%.cpp=%.o) $(BUILT_SOURCES:%.cpp=%.o))
DEPFILES = $(addprefix stage1/,$(OBJECTS:%.o=.%.d)) $(addprefix stage2/,$(OBJECTS:%.o=.%.d))

PARSEOBJECTS = $(filter-out foundry-tree.o, $(OBJECTS))
TREEOBJECTS = $(filter-out foundry-parse.o, $(OBJECTS))

.PHONY: all

all: foundry-tree foundry-parse

.PHONY: install

install: foundry-tree foundry-parse
	$(INSTALL) -d $(DESTDIR)/usr/bin
	$(INSTALL) $^ $(DESTDIR)/usr/bin/

.PHONY: update

update: $(addprefix update/,$(BOOTSTRAP))
	@for i in $(BOOTSTRAP); do \
	  if cmp -s $$i update/$$i; then \
	    echo "$$i is unchanged."; \
	  else \
	    echo "updating $$i."; \
	    mv update/$$i $$i; \
	  fi; \
	done

.PHONY: check test

check test: $(addprefix update/,$(BOOTSTRAP))

.PHONY: clean

clean:
	$(RM) foundry-parse foundry-tree
	$(RM) -r stage1
	$(RM) -r stage2
	$(RM) -r update

foundry-parse: $(addprefix stage2/,$(PARSEOBJECTS))
	$(CXX) $(LDFLAGS) -o $@ $^

foundry-tree: $(addprefix stage2/,$(TREEOBJECTS))
	$(CXX) $(LDFLAGS) -o $@ $^

update/parse_cst.ll: parse_cst.fparse foundry-parse stage2/parse_cst.ll
	@mkdir -p update
	./foundry-parse -l $< -o $@
	cmp -s $@ stage2/$(notdir $@)

update/parse_cst.yy: parse_cst.fparse foundry-parse stage2/parse_cst.yy
	@mkdir -p update
	./foundry-parse -y $< -o $@
	cmp -s $@ stage2/$(notdir $@)

update/%_tree.hpp: %.ftree foundry-tree stage2/%_tree.hpp
	@mkdir -p update
	./foundry-tree -o $@ $<
	cmp -s $@ stage2/$(notdir $@)

update/%_tree.cpp: %.ftree foundry-tree stage2/%_tree.cpp
	@mkdir -p update
	./foundry-tree -c -o $@ $<
	cmp -s $@ stage2/$(notdir $@)

update/%_cst.hpp: %.yy foundry-tree stage2/%_cst.hpp
	@mkdir -p update
	./foundry-tree -n foundry -n $(subst _, -n ,$*) -o $@ $<
	cmp -s $@ stage2/$(notdir $@)

update/%_cst.cpp: %.yy foundry-tree stage2/%_cst.cpp
	@mkdir -p update
	./foundry-tree -n foundry -n $(subst _, -n ,$*) -c -o $@ $<
	cmp -s $@ stage2/$(notdir $@)

stage2/%_tree.hpp: %.ftree stage1/foundry-tree
	stage1/foundry-tree -o $@ $<

stage2/%_tree.cpp: %.ftree stage1/foundry-tree
	stage1/foundry-tree -c -o $@ $<

stage2/%_cst.hpp: %.yy stage1/foundry-tree
	stage1/foundry-tree -n foundry -n $(subst _, -n ,$*) -o $@ $<

stage2/%_cst.cpp: %.yy stage1/foundry-tree
	stage1/foundry-tree -n foundry -n $(subst _, -n ,$*) -c -o $@ $<

stage2/%_cst.hpp: stage2/%.yy stage1/foundry-tree
	stage1/foundry-tree -n foundry -n $(subst _, -n ,$*) -o $@ $<

stage2/%_cst.cpp: stage2/%.yy stage1/foundry-tree
	stage1/foundry-tree -n foundry -n $(subst _, -n ,$*) -c -o $@ $<

stage2/%_lex.hpp: stage2/%_lex.cpp
	test -f $@ || ($(RM) $< && $(MAKE) $<)
	touch $@

stage2/%_lex.cpp: stage2/%.ll
	cd stage2 && flex -o $(notdir $@) --header-file=$(basename $(notdir $@)).hpp $(notdir $<)

stage2/%_parse.hpp: stage2/%_parse.cpp
	test -f $@ || ($(RM) $< && $(MAKE) $<)
	touch $@

stage2/%_parse.cpp: stage2/%.yy
	bison -d $< -o $@

stage2/%.ll: %.fparse stage1/foundry-parse
	stage1/foundry-parse -o $@ -l $<

stage2/%.yy: %.fparse stage1/foundry-parse
	stage1/foundry-parse -o $@ -y $<

stage2/tree_%.ll: tree_%.ll
	cp $< $@

stage2/tree_%.yy: tree_%.yy
	cp $< $@

stage2/%.o: %.cpp
	@$(MKDIR) stage2
	$(CXX) $(CPPFLAGE) -Istage2 -I. $(CXXFLAGS) -MD -MF stage2/.$*.d -o $@ -c $<

stage2/%.o: stage2/%.cpp
	$(CXX) $(CPPFLAGS) -Istage2 -I. $(CXXFLAGS) -MD -MF stage2/.$*.d -o $@ -c $<

stage2/parse_cst.o: stage2/parse_cst.cpp

stage1/foundry-tree: $(addprefix stage1/,$(TREEOBJECTS))
	$(CXX) $(LDFLAGS) -o $@ $^

stage1/foundry-parse: $(addprefix stage1/,$(PARSEOBJECTS))
	$(CXX) $(LDFLAGS) -o $@ $^

stage1/%_lex.hpp: stage1/%_lex.cpp
	test -f $@ || ($(RM) $< && $(MAKE) $<)
	touch $@

stage1/%_lex.cpp: %.ll
	cd stage1 && flex -o $(notdir $@) --header-file=$(basename $(notdir $@)).hpp ../$(notdir $<)

stage1/%_parse.hpp: stage1/%_parse.cpp
	test -f $@ || ($(RM) $< && $(MAKE) $<)
	touch $@

stage1/%_parse.cpp: %.yy
	bison -d $< -o $@

stage1/%.o: %.cpp
	@$(MKDIR) stage1
	$(CXX) $(CPPFLAGS) -Istage1 -I. $(CXXFLAGS) -MD -MF stage1/.$*.d -o $@ -c $<

stage1/%.o: stage1/%.cpp
	$(CXX) $(CPPFLAGS) -Istage1 -I. $(CXXFLAGS) -MD -MF stage1/.$*.d -o $@ -c $<

%_lex.cpp: %.ll
	$(LEX) -o $@ $<

%_parse.cpp: %.yy
	$(YACC) -o $@ $<

stage1/%_lex.o: CXXFLAGS+=-Wno-unused
stage2/%_lex.o: CXXFLAGS+=-Wno-unused

stage1/.%.d:
	@mkdir -p $(@D)
	@echo >$@ "stage1/$*.o: $(STAGE1_BUILT_HEADERS)"

stage2/.%.d:
	@mkdir -p $(@D)
	@echo >$@ "stage2/$*.o: $(STAGE2_BUILT_HEADERS)"

.SUFFIXES:
.DELETE_ON_ERROR:

DEPENDS = $(OBJECTS:%.o=.%.d)

sinclude $(addprefix stage1/,$(DEPENDS)) $(addprefix stage2/,$(DEPENDS))

=== debian/changelog ===
foundry (0.0.20130809-2) unstable; urgency=low

  * Add nothrow dtors for exceptions (powerpc complained)

 -- Simon Richter <sjr@debian.org>  Fri, 09 Aug 2013 18:47:32 +0200

foundry (0.0.20130809-1) unstable; urgency=low

  * New upstream release

 -- Simon Richter <sjr@debian.org>  Fri, 09 Aug 2013 17:28:46 +0200

foundry (0.0.20130716-1) unstable; urgency=low

  * New upstream release

 -- Simon Richter <sjr@debian.org>  Tue, 16 Jul 2013 20:09:04 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: devel
 Priority: extra
 Maintainer: Simon Richter <sjr@debian.org>
-Build-Depends: libboost-dev, debhelper (>= 7), flex, bison
-Standards-Version: 3.8.2
+Build-Depends: libboost-dev, debhelper (>= 9), flex, bison
+Standards-Version: 3.9.4
 
 Package: foundry
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -8,4 +8,4 @@
 	dh $@ --parallel
 
 override_dh_auto_build:
-	dh_auto_build -- CXXFLAGS+='-W -Wall -Werror'
+	dh_auto_build --parallel -- CXXFLAGS+='-W -Wall -Werror'

=== debian/watch ===
version=3
http://www.hogyros.de/download/foundry-(.*)\.tar\.gz

## foundry 0.12.0

=== DESCRIPTION ===
Type: Package
Package: foundry
Title: 'Palantir Foundry' Software Development Kit
Version: 0.12.0
Authors@R: 
    c(person(given = "Alexandre",
             family = "Guinaudeau",
             role = c("aut", "cre"),
             email = "aguinaudeau@palantir.com"),
      person(family = "Palantir Technologies",
             role = c("aut", "cph")))
Maintainer: Alexandre Guinaudeau <aguinaudeau@palantir.com>
Description: Interface to 'Palantir Foundry', including
    reading and writing structured or unstructured datasets, and more
    <https://www.palantir.com/platforms/foundry/>.
URL: https://github.com/palantir/palantir-r-sdk
BugReports: https://github.com/palantir/palantir-r-sdk/issues
Encoding: UTF-8
License: Apache License 2.0
RoxygenNote: 7.2.1
Depends: R (>= 3.5.0)
Imports: arrow (>= 0.14.0), jsonlite, httr, R6, yaml
Suggests: lintr, httptest, testthat (>= 3.0.0), withr
Collate: 'config.R' 'api_client.R' 'utils.R' 'schema.R'
        'datasets_api_client.R' 'datasets.R'
NeedsCompilation: no
Packaged: 2023-02-27 10:08:21 UTC; aguinaudeau
Author: Alexandre Guinaudeau [aut, cre],
  Palantir Technologies [aut, cph]
Repository: CRAN
Date/Publication: 2023-02-27 16:42:33 UTC

## foundry 0.13.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Type: Package
 Package: foundry
 Title: 'Palantir Foundry' Software Development Kit
-Version: 0.12.0
+Version: 0.13.0
 Authors@R: 
     c(person(given = "Alexandre",
              family = "Guinaudeau",
@@ -24,8 +24,8 @@
 Collate: 'config.R' 'api_client.R' 'utils.R' 'schema.R'
         'datasets_api_client.R' 'datasets.R'
 NeedsCompilation: no
-Packaged: 2023-02-27 10:08:21 UTC; aguinaudeau
+Packaged: 2023-05-11 16:34:08 UTC; aguinaudeau
 Author: Alexandre Guinaudeau [aut, cre],
   Palantir Technologies [aut, cph]
 Repository: CRAN
-Date/Publication: 2023-02-27 16:42:33 UTC
+Date/Publication: 2023-05-19 13:30:02 UTC

## foundry 1.0~rc

=== debian/changelog ===
foundry (1.0~rc-1) experimental; urgency=medium

  * Initial release (Closes: #1114844)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 10 Sep 2025 13:50:30 -0400

=== debian/control ===
Source: foundry
Section: devel
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gir,
               gir1.2-dex-1-dev,
               gir1.2-gio-2.0-dev,
               gir1.2-gtk-4.0-dev,
               gir1.2-gtksource-5-dev,
               gir1.2-json-1.0-dev,
               gir1.2-peas-2-dev,
               gobject-introspection,
               libcmark-dev,
               libdex-dev (>= 0.11),
               libeditorconfig-dev,
               libflatpak-dev,
               libgit2-dev,
               libglib2.0-dev (>= 2.82),
               libgom-1.0-dev,
               libgtksourceview-5-dev (>= 5.14),
               libjson-glib-dev,
               libpeas-2-dev,
               libspelling-1-dev,
               libssh2-1-dev,
               libsysprof-capture-4-dev,
               libtemplate-glib-1.0-dev (>= 3.37.0),
               libvte-2.91-gtk4-dev (>= 0.80),
               libwebkitgtk-6.0-dev,
               libxml2-utils,
               libyaml-dev,
               meson
Build-Depends-Indep: gi-docgen <!nodoc>
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/gnome-team/foundry
Vcs-Git: https://salsa.debian.org/gnome-team/foundry.git
Homepage: https://gitlab.gnome.org/GNOME/foundry

Package: foundry
Architecture: any
Depends: foundry-common (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Command line IDE tool
 Foundry is a framework that can be used to build developer
 tools such as GNOME Builder, Manuals, and Sysprof.
 .
 This package contains the command line utilities.

Package: foundry-common
Section: libs
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Library for building IDEs - common files
 Foundry is a framework that can be used to build developer
 tools such as GNOME Builder, Manuals, and Sysprof.
 .
 This package contains common data files and translations.

Package: gir1.2-foundry-1
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends}, ${misc:Depends}
Description: GObject introspection files for libfoundry
 Foundry is a framework that can be used to build developer
 tools such as GNOME Builder, Manuals, and Sysprof.
 .
 This package contains the GObject-introspection data in binary typelib format.

Package: gir1.2-foundrygtk-1
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends}, ${misc:Depends}
Description: GObject introspection files for libfoundry-gtk
 Foundry is a framework that can be used to build developer
 tools such as GNOME Builder, Manuals, and Sysprof.
 .
 This package contains the GObject-introspection data in binary typelib format.

Package: libfoundry-1-1
Section: libs
Architecture: any
Multi-Arch: same
Depends: foundry-common (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Library for building IDEs
 Foundry is a framework that can be used to build developer
 tools such as GNOME Builder, Manuals, and Sysprof.
 .
 This package contains the shared library.

Package: libfoundry-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libdex-dev (>= 0.11),
         libeditorconfig-dev,
         libflatpak-dev,
         libfoundry-1-1 (= ${binary:Version}),
         libgit2-dev,
         libglib2.0-dev (>= 2.82),
         libgom-1.0-dev,
         libjson-glib-dev,
         libpeas-2-dev,
         libspelling-1-dev,
         libssh2-1-dev,
         libsysprof-capture-4-dev,
         libtemplate-glib-1.0-dev (>= 3.37.0),
         libyaml-dev,
         ${gir:Depends},
         ${misc:Depends}
Recommends: pkgconf
Suggests: libfoundry-doc
Provides: ${gir:Provides}
Description: Development files for libfoundry
 Foundry is a framework that can be used to build developer
 tools such as GNOME Builder, Manuals, and Sysprof.
 .
 This package contains the development files.

Package: libfoundry-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Build-Profiles: <!nodoc>
Description: Documentation for libfoundry
 Foundry is a framework that can be used to build developer
 tools such as GNOME Builder, Manuals, and Sysprof.
 .
 This package contains the API reference.

Package: libfoundry-gtk-1-1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Library for building IDEs with GTK widgets
 Foundry is a framework that can be used to build developer
 tools such as GNOME Builder, Manuals, and Sysprof.
 .
 This package contains the shared library with GTK4 widgets.

Package: libfoundry-gtk-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libcmark-dev,
         libdex-dev (>= 0.11),
         libeditorconfig-dev,
         libflatpak-dev,
         libfoundry-dev (= ${binary:Version}),
         libfoundry-gtk-1-1 (= ${binary:Version}),
         libgit2-dev,
         libglib2.0-dev (>= 2.82),
         libgom-1.0-dev,
         libgtksourceview-5-dev (>= 5.14),
         libjson-glib-dev,
         libpeas-2-dev,
         libspelling-1-dev,
         libssh2-1-dev,
         libsysprof-capture-4-dev,
         libtemplate-glib-1.0-dev (>= 3.37.0),
         libvte-2.91-gtk4-dev (>= 0.80),
         libwebkitgtk-6.0-dev,
         libyaml-dev,
         ${gir:Depends},
         ${misc:Depends}
Recommends: pkgconf
Suggests: libfoundry-doc
Provides: ${gir:Provides}
Description: Development files for libfoundry-gtk
 Foundry is a framework that can be used to build developer
 tools such as GNOME Builder, Manuals, and Sysprof.
 .
 This package contains the development files.

## foundry 1.0.1

=== debian/changelog ===
foundry (1.0.1-1) unstable; urgency=medium

  * New upstream release
  * debian/*.symbols: Add new symbols
  * Remove unnecessary direct Depends: foundry -> foundry-common
  * foundry.install: Install new AppStream metadata file
  * Update debian/copyright
  * Bump Standards Version to 4.7.3
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 04 Feb 2026 12:04:10 -0500

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: foundry
 Section: devel
-Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
@@ -32,15 +31,14 @@
                libyaml-dev,
                meson
 Build-Depends-Indep: gi-docgen <!nodoc>
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/gnome-team/foundry
 Vcs-Git: https://salsa.debian.org/gnome-team/foundry.git
 Homepage: https://gitlab.gnome.org/GNOME/foundry
 
 Package: foundry
 Architecture: any
-Depends: foundry-common (>= ${source:Version}),
-         ${misc:Depends},
+Depends: ${misc:Depends},
          ${shlibs:Depends}
 Description: Command line IDE tool
  Foundry is a framework that can be used to build developer

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

built_binaries := $(shell dh_listpackages)

ifneq ($(filter %-doc,$(built_binaries)),)
BUILD_DOCS := -Ddocs=true
else
BUILD_DOCS := -Ddocs=false
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(BUILD_DOCS)

## foundry 1.1~beta

=== debian/changelog ===
foundry (1.1~beta-3) unstable; urgency=medium

  * Add Depends: libxml2-dev
  * Re-enable most features

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 14 Feb 2026 11:12:44 -0500

foundry (1.1~beta-2) unstable; urgency=medium

  * Disable features not needed by manuals
  * debian/libfoundry-1-1.symbols: Remove symbols that are no longer exported

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 05 Feb 2026 18:24:21 -0500

foundry (1.1~beta-1) unstable; urgency=medium

  * New upstream release
  * Add Build-Depends: libreadline-dev, libsecret-1-dev
  * Bump minimum gtk4, gtksourceview5, and libdex
  * Only build for Linux
  * Don't build adwaita library for now
  * Don't build flatpak feature on alpha and don't build gtk4 library
    on architectures that don't have the latest gtk4
  * debian/foundry.install: Install new manpage
  * debian/foundry-common.install: Install translations
  * debian/*.symbols: Add new symbols

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 05 Feb 2026 13:40:26 -0500

=== debian/control ===
Source: foundry
Standards-Version: 4.7.3
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
Section: devel
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gir,
               gir1.2-dex-1-dev,
               gir1.2-gio-2.0-dev,
               gir1.2-gtk-4.0-dev [amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x ppc64],
               gir1.2-gtksource-5-dev [amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x ppc64],
               gir1.2-json-1.0-dev,
               gir1.2-peas-2-dev,
               gobject-introspection,
#               libcmark-dev,
               libdex-dev (>= 1.1~alpha),
               libeditorconfig-dev,
               libflatpak-dev [!alpha],
               libgit2-dev,
               libglib2.0-dev (>= 2.82),
               libgom-1.0-dev,
               libgtk-4-dev (>= 4.20) [amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x ppc64],
               libgtksourceview-5-dev (>= 5.18) [amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x ppc64],
               libjson-glib-dev,
               libpeas-2-dev,
               libreadline-dev,
               libsecret-1-dev,
               libsoup-3.0-dev,
               libspelling-1-dev [amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x ppc64],
               libssh2-1-dev,
               libsysprof-capture-4-dev,
               libtemplate-glib-1.0-dev (>= 3.37.0),
               libvte-2.91-gtk4-dev (>= 0.80) [amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x ppc64],
#               libwebkitgtk-6.0-dev [amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x ppc64],
               libxml2-dev,
               libxml2-utils,
               libyaml-dev,
               meson
Build-Depends-Indep: gi-docgen <!nodoc>
Vcs-Browser: https://salsa.debian.org/gnome-team/foundry
Vcs-Git: https://salsa.debian.org/gnome-team/foundry.git
Homepage: https://gitlab.gnome.org/GNOME/foundry

Package: foundry
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Command line IDE tool
 Foundry is a framework that can be used to build developer
 tools such as GNOME Builder, Manuals, and Sysprof.
 .
 This package contains the command line utilities.

Package: foundry-common
Architecture: all
Multi-Arch: foreign
Section: libs
Depends: ${misc:Depends}
Description: Library for building IDEs - common files
 Foundry is a framework that can be used to build developer
 tools such as GNOME Builder, Manuals, and Sysprof.
 .
 This package contains common data files and translations.

Package: gir1.2-foundry-1
Architecture: linux-any
Multi-Arch: same
Section: introspection
Depends: ${gir:Depends},
         ${misc:Depends}
Description: GObject introspection files for libfoundry
 Foundry is a framework that can be used to build developer
 tools such as GNOME Builder, Manuals, and Sysprof.
 .
 This package contains the GObject-introspection data in binary typelib format.

Package: gir1.2-foundrygtk-1
Architecture: amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x ppc64
Multi-Arch: same
Section: introspection
Depends: ${gir:Depends},
         ${misc:Depends}
Description: GObject introspection files for libfoundry-gtk
 Foundry is a framework that can be used to build developer
 tools such as GNOME Builder, Manuals, and Sysprof.
 .
 This package contains the GObject-introspection data in binary typelib format.

Package: libfoundry-1-1
Architecture: linux-any
Multi-Arch: same
Section: libs
Depends: foundry-common (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Library for building IDEs
 Foundry is a framework that can be used to build developer
 tools such as GNOME Builder, Manuals, and Sysprof.
 .
 This package contains the shared library.

Package: libfoundry-dev
Architecture: linux-any
Multi-Arch: same
Section: libdevel
Depends: libdex-dev (>= 1.1~alpha),
         libeditorconfig-dev,
         libflatpak-dev [!alpha],
         libfoundry-1-1 (= ${binary:Version}),
         libgit2-dev,
         libglib2.0-dev (>= 2.82),
         libgom-1.0-dev,
         libjson-glib-dev,
         libpeas-2-dev,
         libsecret-1-dev,
         libspelling-1-dev,
         libssh2-1-dev,
         libsysprof-capture-4-dev,
         libtemplate-glib-1.0-dev (>= 3.37.0),
         libyaml-dev,
         ${gir:Depends},
         ${misc:Depends}
Recommends: pkgconf
Suggests: libfoundry-doc
Provides: ${gir:Provides}
Description: Development files for libfoundry
 Foundry is a framework that can be used to build developer
 tools such as GNOME Builder, Manuals, and Sysprof.
 .
 This package contains the development files.

Package: libfoundry-doc
Architecture: all
Build-Profiles: <!nodoc>
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Documentation for libfoundry
 Foundry is a framework that can be used to build developer
 tools such as GNOME Builder, Manuals, and Sysprof.
 .
 This package contains the API reference.

Package: libfoundry-gtk-1-1
Architecture: amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x ppc64
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Library for building IDEs with GTK widgets
 Foundry is a framework that can be used to build developer
 tools such as GNOME Builder, Manuals, and Sysprof.
 .
 This package contains the shared library with GTK4 widgets.

Package: libfoundry-gtk-dev
Architecture: amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x ppc64
Multi-Arch: same
Section: libdevel
Depends: libdex-dev (>= 1.1~alpha),
#         libcmark-dev,
         libeditorconfig-dev,
         libflatpak-dev [!alpha],
         libfoundry-dev (= ${binary:Version}),
         libfoundry-gtk-1-1 (= ${binary:Version}),
         libgit2-dev,
         libglib2.0-dev (>= 2.82),
         libgom-1.0-dev,
         libgtk-4-dev (>= 4.20),
         libgtksourceview-5-dev (>= 5.18),
         libjson-glib-dev,
         libpeas-2-dev,
         libsecret-1-dev,
         libspelling-1-dev,
         libssh2-1-dev,
         libsysprof-capture-4-dev,
         libtemplate-glib-1.0-dev (>= 3.37.0),
         libvte-2.91-gtk4-dev (>= 0.80),
#         libwebkitgtk-6.0-dev,
         libyaml-dev,
         ${gir:Depends},
         ${misc:Depends}
Recommends: pkgconf
Suggests: libfoundry-doc
Provides: ${gir:Provides}
Description: Development files for libfoundry-gtk
 Foundry is a framework that can be used to build developer
 tools such as GNOME Builder, Manuals, and Sysprof.
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dadwaita=false \
		-Ddocs=$(if $(filter %-doc,$(shell dh_listpackages)),true,false) \
		-Dfeature-flatpak=$(if $(filter alpha,$(DEB_HOST_ARCH)),false,true) \
		-Dgtk=$(if $(filter libfoundry-gtk-%,$(shell dh_listpackages)),true,false) \
		-Dcommonmark=false \
		-Dwebkit=false

## foundry 1.1~rc

=== debian/changelog ===
foundry (1.1~rc-1) unstable; urgency=medium

  * New upstream release
  * debian/libfoundry-1-1.symbols: Add new symbols

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 23 Feb 2026 16:07:25 -0500

## foundry sdk-0.0.112

=== requirements.txt ===
pandas>=1.5.0
numpy>=1.21.0
kedro >= 0.19.0
kedro-viz >= 10.0.0
kedro-datasets >= 6.0.0
kedro-mlflow >= 0.14.0
polars

## foundry sdk-0.0.127

=== requirements.txt ===
--- 
+++ 
@@ -5,3 +5,4 @@
 kedro-datasets >= 6.0.0
 kedro-mlflow >= 0.14.0
 polars
+tqdm
